#pragma once

#include <vector>
#include <cstdint>

namespace xavia::sdk
{
  class IPointCloud;
}

class PointCloudPrinter
{
  public:
    void OnNewPointCloud(const xavia::sdk::IPointCloud& pc);

  private:
    void PrintInfo();

  private:
    std::uint32_t currentFrameNumber{0};
    std::vector<uint8_t> receivedLineNumbers{};
};
